export const allTypesDatas = [
  {
    //总图分图都存在
    analysisTypeName: "大部件温度传感器分析",
    //多种类型的分析结果图 需要单独一个组件生成
    // "title": "齿轮箱中速轴温度分布",
    analysisTypeCode: "temperature_large_components",
    modeType: "lines",
    graphType: "scatter",
    xLable: "功率(kW)",
    yLable: "温度(℃)",
    com: "lineChart",
    chartsType: [
      {
        name: "总图",
        filesType: "line",
        children: [
          {
            name: "齿轮箱高速轴温度",
            filesType: "line",
          },
          {
            name: "齿轮箱低速轴温度",
            filesType: "line",
          },
          {
            name: "发电机驱动端轴承温度",
            filesType: "line",
          },
          {
            name: "发电机非驱动端轴承温度",
            filesType: "line",
          },
          {
            name: "主轴承温度",
            filesType: "line",
          },
        ],
      },
      {
        name: "分图",
        filesType: "line",
        children: [
          {
            name: "主轴承温度",
            filesType: "line",
          },
          {
            name: "齿轮箱高速轴温度",
            filesType: "line",
          },
          {
            name: "齿轮箱低速轴温度",
            filesType: "line",
          },
          {
            name: "发电机驱动端轴承温度",
            filesType: "line",
          },
          {
            name: "发电机非驱动端轴承温度",
            filesType: "line",
          },
          {
            name: "发电机绕组温度",
            filesType: "line",
          },
          {
            name: "发电机温度偏差:",
            filesType: "line",
            line_dash: [
              {
                color: "blue",
              },
              {
                color: "green",
              },
              {
                color: "blue",
                dash: "dot",
              },
              {
                color: "green",
                dash: "dot",
              },
              {
                color: "black",
                dash: "dash",
              },
              {
                color: "orange",
              },
            ],
            lableConfig: {
              plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
              xaxis: {
                title: "功率",
                gridcolor: "rgb(255,255,255)",
                showgrid: true,
                zeroline: false,
                ticklen: 5,
                gridwidth: 1, // 网格线宽度
                tickcolor: "rgb(255,255,255)",
                // tickangle: -45, // 设置x轴标签倾斜45度
              },
              yaxis: {
                title: "轴承温度 & 偏差",
                gridcolor: "rgb(255,255,255)",
                showgrid: true,
                zeroline: false,
                tickcolor: "rgb(255,255,255)",
                ticklen: 5,
                gridwidth: 1, // 网格线宽度
              },
              legend: {
                // 设置图例的X轴和Y轴锚点
                x: 1.1, // 控制图例在X轴上的位置，1是最右边，1.05有间距
                y: 0.5, // 控制图例在Y轴上的位置，0.5表示垂直居中
                xanchor: "left", // 图例以左边为锚点，确保有右边间距
                yanchor: "middle", // 图例以中间为锚点，垂直居中
                // 控制图例的边距
                title: {
                  text: "温度 & 偏差", // 图例的标题
                },
              },
              shapes: [
                // 第一条参考线 y = 5
                {
                  type: "line",
                  x0: 0,
                  y0: 5,
                  x1: 4, // x 轴最大值
                  y1: 5,
                  line: {
                    color: "#FFDB58",
                    width: 2,
                    dash: "dot", // 虚线样式
                  },
                },
                // 第二条参考线 y = -5
                {
                  type: "line",
                  x0: 0,
                  y0: -5,
                  x1: 4,
                  y1: -5,
                  line: {
                    color: "#FFDB58",
                    width: 2,
                    dash: "dot",
                  },
                },
                // 第三条参考线 y = 15
                {
                  type: "line",
                  x0: 0,
                  y0: 15,
                  x1: 4,
                  y1: 15,
                  line: {
                    color: "red",
                    width: 2,
                    dash: "dot",
                  },
                },
                // 第四条参考线 y = -15
                {
                  type: "line",
                  x0: 0,
                  y0: -15,
                  x1: 4,
                  y1: -15,
                  line: {
                    color: "red",
                    width: 2,
                    dash: "dot",
                  },
                },
              ],
              autosize: true, // 自适应
            },
          },
        ],
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "功率",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
        // tickangle: -45, // 设置x轴标签倾斜45度
      },
      yaxis: {
        title: "温度",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
      // 添加边框
      annotations: [], // 初始化注释数组
    },
  },
  {
    //只有分图
    analysisTypeName: "变桨和有功功率协调性分析",
    // "title": "月度发电机转速功率散点图",
    analysisTypeCode: "pitch_power",
    modeType: "markers",
    graphType: "scatter", //动态渲染时要判断变动
    xLable: "功率(kW)",
    yLable: "桨距角(°)",
    x3DLable: "桨距角(°)",
    y3DLable: "时间",
    z3DLable: "功率(kW)", //判断z轴存不存在，存在数据需要使用3D 散点进行展示，否则默认展示平面
    com: "MarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
      {
        name: "分图",
        filesType: "3D",
      },
    ],
    "2DConfig": {
      marker: {
        color: [1, 2, 3, 4, 5],
        colorscale: "Rainbow",
        size: 3,
        opacity: 0.7,
        colorbar: {
          tickvals: [1, 2, 3, 4, 5],
          ticktext: [],
          thickness: 18,
          len: 1,
          outlinecolor: "rgba(255,255,255,0)",
        },
        showscale: true,
      },
      mode: "markers",
      type: "scatter",
    },
    "2DLayoutConfig": {
      title: { text: "机组", x: 0.5 },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        // "title": "发电机转速",
        title: "功率",
        dtick: 100,
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        // "title": "Power",
        title: "桨距角",
        dtick: 100,
        // range: [0, 5000],
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
      },
    },
    "3DConfig": {
      x: [],
      y: [],
      z: [],
      marker: {
        size: 1.5,
        symbol: "circle",
      },
      type: "scatter3d",
      mode: "markers",
    },
    "3DLayoutConfig": {
      title: { text: "月度桨距角功率3D散点图", x: 0.5 },
      scene: {
        xaxis: {
          title: "桨距角",
          dtick: 100,
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        yaxis: {
          title: "时间",
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        zaxis: {
          title: "功率",
          dtick: 100,
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.1,
        itemsizing: "constant",
      },
    },
    "3DColors": [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //分图-
    analysisTypeName: "变桨和叶尖速比及风能利用系数分析",
    analysisTypeCode: "pitch_tsr_cp",
    modeType: "markers",
    graphType: "scatter2D",
    xLable: "叶尖速比",
    yLable: "风能利用系数",
    zLable: "",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
    ],
    "2DConfig": {
      mode: "markers",
    },
    "2DLayoutConfig": {
      plot_bgcolor: "#e5ecf6",
      title: "风能利用系数 vs. 叶尖速比 :",
      xaxis: {
        title: "叶尖速比",
        range: [5, 20],
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "风能利用系数",
        range: [0, 1],
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      legend: {
        title: {
          text: "桨距角", // 图例的标题
        },
        // "itemsizing": "constant",//不确定
        // "itemwidth": 80
      },
    },
  },
  {
    //只有分图，散点
    analysisTypeName: "逐月有功功率散点3D分析",
    analysisTypeCode: "power_scatter",
    title: "当月发电量",
    modeType: "markers",
    graphType: "scatter3D",
    xLable: "风速(m/s)",
    yLable: "时间",
    zLable: "功率(kW)",
    chartsType: [
      {
        name: "分图",
        filesType: "3D",
      },
    ],
    com: "MarkersCharts",
    lableConfig: {
      title: "当月发电量：",
      scene: {
        xaxis: {
          title: "风速",
          dtick: 100,
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        yaxis: {
          title: "时间",
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        zaxis: {
          title: "功率",
          dtick: 100,
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.1,
        itemsizing: "constant",
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //改
    //总图分图都有
    analysisTypeName: "发电机转速和有功功率分析",
    analysisTypeCode: "speed_power",
    title: "风力发电机转速功率3D散点图-",
    modeType: "markers",
    graphType: "scatter3d",
    xLable: "发电机速度",
    yLable: "涡轮",
    zLable: "功率",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "总图",
        filesType: "3D",
      },
      {
        name: "分图",
        filesType: "2D",
      },
      {
        name: "分图",
        filesType: "3D",
      },
    ],
    "2DConfig": {
      marker: {
        color: [1, 2, 3, 4, 5],
        colorscale: "Rainbow",
        size: 3,
        opacity: 0.7,
        colorbar: {
          tickvals: [1, 2, 3, 4, 5],
          ticktext: [],
          thickness: 18,
          len: 1,
          outlinecolor: "rgba(255,255,255,0)",
        },
        showscale: true,
      },
      mode: "markers",
      type: "scatter",
    },
    "2DLayoutConfig": {
      title: "月度发电机转速功率2D散点图",
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "发电机转速",
        dtick: 100,
        // range: [0, 1800],
        tickangle: -45,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "功率",
        dtick: 100,
        // range: [0, 5000],
        tickcolor: "rgb(255,255,255)",
      },
    },
    "3DConfig": {
      x: [],
      y: [],
      z: [],
      marker: {
        size: 1.5,
        symbol: "circle",
      },
      type: "scatter3d",
      mode: "markers",
    },
    "3DLayoutConfig": {
      zongtitle: "风机发电机转速功率3D散点图",
      fentitle: "月度发电机转速功率3D散点图",
      scene: {
        xaxis: {
          zongtitle: "发电机转速",
          fentitle: "发电机转速",
          dtick: 100,
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        yaxis: {
          zongtitle: "机组",
          fentitle: "时间",
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        zaxis: {
          fentitle: "功率",
          zongtitle: "功率",
          dtick: 100,
          gridcolor: "rgb(255,255,255)", // 网格线颜色
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.1,
        itemsizing: "constant",
      },
    },
    "3DColors": [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "有功功率曲线分析",
    analysisTypeCode: "power_curve",
    title: "XXX机型的功率曲线图",
    modeType: "lines",
    graphType: "scatter",
    xLable: "风速(m/s)",
    yLable: "功率(kW)",
    powerConfig: {
      //合同有功功率曲线值
      mode: "lines+markers",
      name: "Contract Guarantee",
      line: {
        color: "red",
      },
      marker: {
        color: "red",
        size: 5,
      },
    },
    config: null,
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        text: "",
        x: 0.5,
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "风速(m/s)",
        range: [0, 26],
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        dtick: 1,
        tickangle: -45,
      },
      yaxis: {
        title: "功率(kW)",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "叶尖速比和有功功率分析",
    analysisTypeCode: "tsr",
    // "title": "XXX机型的功率曲线图",
    modeType: "lines",
    graphType: "scatter",
    xLable: "功率(kW)",
    yLable: "叶尖速比",
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        zongtext: "叶尖速比分布",
        fentext: "机组：",
        x: 0.5,
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        zongtitle: "最小功率",
        fentitle: "功率(kW)",
        range: [0, 26],
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 1,
        tickangle: -45,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "叶尖速比",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 0.05,
        tickcolor: "rgb(255,255,255)",
        range: [0.3, 0.5], // 根据你需要的值范围进行设置
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "静态偏航误差", //不需要展示图,只展示表格/秒级数据
  },
  {
    analysisTypeName: "分钟级SCADA数据记录完整度分析",
    analysisTypeCode: "data_integrity_minute",
    modeType: "heatmap",
    graphType: "heatmap",
    xLable: "日期",
    yLable: "机组",
    zLable: "",
    com: "HeatmapCharts",
    chartsType: [
      {
        name: "总图",
        filesType: "heatmap",
      },
    ],
    lableConfig: {
      title: { text: "数据完整度检测（%）", x: 0.5 },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "日期",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 4, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
        tickangle: -45, // 设置x轴标签倾斜45度
      },
      yaxis: {
        title: "机组",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 4, // 网格线宽度
      },
      // 添加边框
      annotations: [], // 初始化注释数组
    },
  },
  {
    analysisTypeName: "风速频率分析", //柱状图 蓝色
    analysisTypeCode: "wind_speed_frequency",
    modeType: "bar",
    graphType: "bar",
    xLable: "风速(m/s)",
    yLable: "频率(%)",
    zLable: "",
    com: "BarChart",
    chartsType: [
      {
        name: "分图",
        filesType: "bar",
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      title: {
        text: "风速频率",
        x: 0.5,
        xanchor: "center",
        yanchor: "top",
      },
      xaxis: {
        title: "风速",
        showgrid: true,
        range: [0, 26],
        dtick: 1,
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "频率",
        showgrid: true,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
      },
      margin: {
        t: 50,
        b: 100,
      },
    },
    dataConfig: {
      //data数据每一项的设置
      type: "bar",
      marker: {
        color: "#626efb", //柱体颜色设置
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //rose 分图
    analysisTypeName: "风向玫瑰分析",
    analysisTypeCode: "wind_direction_frequency",
    modeType: "barpolar",
    graphType: "barpolar",
    com: "WindRoseChart",
    chartsType: [
      {
        name: "分图",
        filesType: "barpolar",
      },
    ],
    dataConfig: {
      type: "barpolar",
      marker: {
        line: {
          color: "white",
          width: 1,
        },
      },
    },
    lableConfig: {
      title: "Wind Rose",
      plot_bgcolor: "#e5ecf6", // 背景颜色
      polar: {
        bgcolor: "#e5ecf6", // 极坐标背景颜色
        radialaxis: {
          gridcolor: "rgb(255,255,255)", // 径向网格线颜色
          showgrid: true,
          linecolor: "rgb(255,255,255)", // 径向轴线颜色
        },
        angularaxis: {
          gridcolor: "rgb(255,255,255)", // 角度网格线颜色
          tickcolor: "rgb(255,255,255)", // 刻度线颜色
          linecolor: "rgb(255,255,255)", // 角度轴线颜色
        },
      },
      showlegend: true, // 显示图例
      legend: { title: { text: "Wind Speed" } },
    },
    colors: {
      "[0,3)": "rgba(247, 251, 255, 1.0)",
      "[3,6)": "rgba(171, 207, 229, 1.0)",
      "[6,9)": "rgba(55, 135, 192, 1.0)",
      ">=9": "rgba(8, 48, 107, 1.0)",
    },
    speedLabels: ["[0,3)", "[3,6)", "[6,9)", ">=9"],
    directionLabels: [
      "N",
      "NNE",
      "NE",
      "ENE",
      "E",
      "ESE",
      "SE",
      "SSE",
      "S",
      "SSW",
      "SW",
      "WSW",
      "W",
      "WNW",
      "NW",
      "NNW",
    ],
  },
  {
    analysisTypeName: "风速均值分析",
    analysisTypeCode: "wind_speed",
    modeType: "bar",
    graphType: "bar",
    xLable: "机组",
    yLable: "平均风速（m/s）",
    zLable: "",
    com: "BarChart",
    chartsType: [
      {
        name: "总图",
        filesType: "bar",
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      title: {
        text: "机组平均风速",
        x: 0.5,
        xanchor: "center",
        yanchor: "top",
      },
      xaxis: {
        title: "机组",
        showgrid: true,
        range: [0, 26],
        dtick: 1,
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "平均风速（m/s）",
        showgrid: true,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
      },
      margin: {
        t: 50,
        b: 100,
      },
    },
    dataConfig: {
      //data数据每一项的设置
      type: "bar",
      marker: {
        color: "#626efb", //柱体颜色设置
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //分图
    analysisTypeName: "逐月有功功率散点2D分析",
    analysisTypeCode: "power_scatter_2D",
    modeType: "lines+markers",
    graphType: "scatter",
    xLable: "Wind Speed",
    yLable: "Power",
    zLable: "",
    com: "powerMarkers2DCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
    ],
    dataConfig: [
      {
        mode: "markers",
        marker: {
          colorscale: "Rainbow",
          opacity: 0.7,
        },
        type: "scatter",
      },
      {
        mode: "lines+markers",
        marker: { color: "gray", size: 7 },
        name: "Contract Guarantee Power Curve",
        type: "scatter",
      },
    ],
    lableConfig: {
      title: {
        text: "机组：",
      },
      plot_bgcolor: "#e5ecf6",
      xaxis: {
        title: "风速",
        tickmode: "array",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        tickangle: -45,
      },
      yaxis: {
        title: "功率",
        tickmode: "array",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      legend: {
        yanchor: "bottom",
        y: 0,
        xanchor: "right",
        x: 1,
        bgcolor: "rgba(0, 0, 0, 0)", // Transparent background color
      },
    },
  },
  {
    analysisTypeName: "额定功率和风速分析",
    analysisTypeCode: "rated_power_windspeed",
    modeType: "box",
    graphType: "box",
    xLable: "Turbine",
    yLable: "Power",
    com: "boxLineCharts",
    dataConfig: [
      {
        type: "box",
        fillcolor: "#1d90ff",
        marker: {
          line: {
            color: "black", // 设置盒子边框颜色为黑色
          },
        },
        whiskerwidth: 1, // 设置延长线的宽度
        boxpoints: "outliers",
        line: {
          color: "black", // 设置延长线颜色为黑色
        },
        name: "Ambient Temp >= 25°C",
        showlegend: false,
      },
      {
        mode: "markers",
        marker: { symbol: "line-ew-open", color: "red", size: 10 }, // 设置中位数线的颜色为红色
        showlegend: false,
      },
    ],
    lableConfig: {
      title: "额定全风速 (环境温度 >= 25°C) 10min功率分配",
      plot_bgcolor: "#e5ecf6",
      yaxis: {
        title: "功率",
        tickfont: { size: 10 },
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      xaxis: {
        title: "机组",
        tickangle: -45,
        type: "category",
        tickfont: { size: 10 },
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      boxmode: "group",
    },
  },
  {
    //改
    analysisTypeName: "额定风速分析",
    analysisTypeCode: "rated_windspeed",
    modeType: "bar",
    graphType: "bar",
    xLable: "Turbine(涡轮)",
    yLable: "Count(总数)",
    zLable: "",
    com: "BarChart",
    chartsType: [
      {
        name: "分图",
        filesType: "bar",
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      title: {
        text: "额定风速间隔数据计数",
        x: 0.5,
        xanchor: "center",
        yanchor: "top",
      },
      xaxis: {
        title: "机组",
        tickangle: -45,
      },
      yaxis: {
        title: "总数",
        showgrid: true,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
      },
    },
    dataConfig: {
      //data数据每一项的设置
      type: "bar",
      marker: {
        color: "dodgerblue", //柱体颜色设置
      },
    },
  },
  {
    analysisTypeName: "发电机转速和转矩分析",
    analysisTypeCode: "speed_torque",
    modeType: "markers",
    graphType: "scatter3d",
    xLable: "发电机转速",
    yLable: "机组",
    zLable: "实际扭矩",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "总图",
        filesType: "3D",
      },
      {
        name: "分图",
        filesType: "2D",
      },
      {
        name: "分图",
        filesType: "3D",
      },
    ],
    "2DConfig": {
      marker: {
        color: [1, 2, 3, 4, 5],
        colorscale: "Rainbow",
        size: 3,
        opacity: 0.7,
        colorbar: {
          tickvals: [1, 2, 3, 4, 5],
          ticktext: [],
          thickness: 18,
          len: 1,
          outlinecolor: "rgba(255,255,255,0)",
        },
        showscale: true,
      },
      mode: "markers",
      type: "scatter",
    },
    "2DLayoutConfig": {
      // "title": "发电机转速功率2D散点图",
      title: "月度发电机转速扭矩散点图",

      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "发电机转速",
        dtick: 100,
        // range: [0, 1800],
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "扭矩",
        dtick: 100,
        // range: [0, 5000],
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
    },
    "3DConfig": {
      x: [],
      y: [],
      z: [],
      marker: {
        size: 1.5,
        symbol: "circle",
      },
      type: "scatter3d",
      mode: "markers",
    },
    "3DLayoutConfig": {
      zongtitle: "发电机转速扭矩3D散点图",
      fentitle: "月度发电机转速扭矩3D散点图",
      scene: {
        xaxis: {
          zongtitle: "发电机转速",
          fentitle: "发电机转速",
          dtick: 100,
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        yaxis: {
          zongtitle: "机组",
          fentitle: "时间",
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
        zaxis: {
          zongtitle: "实际扭矩",
          fentitle: "扭矩",
          dtick: 100,
          gridcolor: "rgb(255,255,255)",
          showgrid: true,
          zeroline: false,
          ticklen: 5,
          gridwidth: 1, // 网格线宽度
          tickcolor: "rgb(255,255,255)",
          backgroundcolor: "#e5ecf6",
          showbackground: true, // 显示背景
        },
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.1,
        itemsizing: "constant",
      },
    },
    "3DColors": [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "变桨和发电机转速协调性分析",
    analysisTypeCode: "pitch_generator_speed",
    modeType: "markers",
    graphType: "scatter",
    xLable: "发电机转速",
    yLable: "桨距角",
    zLable: "",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
    ],
    "2DConfig": {
      marker: {
        color: [1, 2, 3, 4, 5],
        colorscale: "Rainbow",
        size: 3,
        opacity: 0.7,
        colorbar: {
          tickvals: [1, 2, 3, 4, 5],
          ticktext: [],
          thickness: 18,
          len: 1,
          outlinecolor: "rgba(255,255,255,0)",
        },
        showscale: true,
      },
      mode: "markers",
      type: "scatter",
    },
    "2DLayoutConfig": {
      title: "机组",
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "发电机转速",
        dtick: 100,
        // range: [0, 1800],
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "桨距角",
        dtick: 100,
        // range: [0, 5000],
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
    },
  },
  {
    analysisTypeName: "环境温度传感器分析",
    analysisTypeCode: "temperature_environment",
    modeType: "bar",
    graphType: "bar",
    xLable: "机组名称",
    yLable: "温度偏差",
    com: "BarChart",
    chartsType: [
      {
        name: "总图",
        filesType: "bar",
        title: "Temperature Bias",
      },
      {
        name: "总图",
        filesType: "bar",
        title: "Temperature Median",
      },
    ],
    dataConfig: [
      {
        title: "Temperature Bias",
        type: "bar",
        marker: {
          color: "dodgerblue",
        },
      },
      {
        title: "Temperature Median",
        type: "bar",
        marker: {
          color: "dodgerblue",
        },
      },
    ],
    lableConfig: [
      {
        title: "温度偏差-",
        xaxis: {
          title: "机组名称",
          tickangle: -45,
        },
        yaxis: {
          title: "温度偏差",
          rangemode: "tozero",
        },
        shapes: [
          {
            type: "line",
            x0: 0,
            x1: 1,
            xref: "paper",
            y0: 5,
            y1: 5,
            line: {
              color: "red",
              dash: "dot",
            },
          },
          {
            type: "line",
            x0: 0,
            x1: 1,
            xref: "paper",
            y0: -5,
            y1: -5,
            line: {
              color: "red",
              dash: "dot",
            },
          },
        ],
      },
      {
        title: "平均温度-",
        xaxis: {
          title: "机组名称",
          tickangle: -45,
        },
        yaxis: {
          title: "温度",
        },
      },
    ],
  },
  {
    analysisTypeName: "叶尖速比-Cp-功率分析",
    analysisTypeCode: "tsr_cp_power",
    modeType: "lines",
    graphType: "scatter",
    xLable: "功率(kW)",
    yLable: "TSR/CP^(1/3)",
    zLable: "",
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        zongtext: "叶尖速比-风能利用系数分析-功率分布图",
        fentext: "机组：",
        x: 0.5,
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        zongtitle: "最小功率(kW)",
        fentitle: "最小功率(kW)",
        range: [0, 26],
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 1,
        tickangle: -45,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        zongtitle: "叶尖速比/风能利用系数分析^(1/3)",
        fentitle: "叶尖速比/风能利用系数分析^(1/3)",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 0.05,
        tickcolor: "rgb(255,255,255)",
        range: [0.3, 0.5], // 根据你需要的值范围进行设置
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //改
    analysisTypeName: "叶尖速比时序分析",
    analysisTypeCode: "tsr_trend",
    title: "",
    modeType: "box+markers",
    graphType: "box",
    xLable: "时间",
    yLable: "叶尖速比",
    zLable: "",
    com: "BoxMarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "BoxMarkers",
      },
    ],
    dataConfig: [
      {
        type: "box",
        boxpoints: "outliers", // 显示离群值
        marker: {
          color: "lightgoldenrodyellow",
          size: 3,
        },
        line: {
          color: "lightgray",
          width: 2,
        },
        fillcolor: "rgba(200, 200, 200, 0.5)",
      },
      {
        type: "scatter",
        mode: "markers",
        marker: {
          color: "orange",
          size: 5,
        },
      },
    ],
    lableConfig: {
      title: {
        text: "机组：",
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "时间",
        tickmode: "auto",
        tickformat: "%Y-%m-%d",
        showgrid: true,
        gridcolor: "lightgray",
        tickangle: -45,
        linecolor: "black",
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
      },
      yaxis: {
        title: "叶尖速比",
        range: [0, 1],
        showgrid: true,
        gridcolor: "lightgray",
        linecolor: "black",
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
      },
      paper_bgcolor: "white",
      plot_bgcolor: "white",
      margin: {
        t: 50,
        b: 150,
      },
    },
  },
  //分图
  {
    analysisTypeName: "最小桨距角分析",
    analysisTypeCode: "min_pitch",
    title: "最小桨距角分布",
    modeType: "markers",
    graphType: "scatter",
    xLable: "时间",
    yLable: "桨距角",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "分图",
        type: "markers",
      },
    ],
    dataConfig: [
      {
        showscale: true,
        colorbar: { title: "Rate" },
        line: { color: "white", width: 1 },
        mode: "markers",
      },
    ],
    lableConfig: {
      title: "最小桨距角分布",
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "时间",
        tickformat: "%Y-%m-%d",
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "桨距角",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      showlegend: false,
    },
    colors: [
      [0.0, "rgb(255, 255, 255)"], // 白色
      [0.1, "rgb(135, 206, 235)"], // 天蓝色
      [0.5, "rgb(0, 0, 255)"], // 蓝色
      [1.0, "rgb(0, 0, 139)"], // 深蓝色
    ],
  },
  {
    //改
    //cpAnalyst.py 文件
    analysisTypeName: "风能利用系数和有功功率分析",
    title: "CP 分布图",
    analysisTypeCode: "cp",
    modeType: "lines",
    graphType: "scatter",
    xLable: "功率(kW)",
    yLable: "CP 中位值",
    powerConfig: {
      //合同有功功率曲线值
      mode: "lines+markers",
      name: "Contract Guarantee",
      line: {
        color: "red",
      },
      marker: {
        color: "red",
        size: 5,
      },
    },
    config: null,
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        zongtext: "风能利用系数分布-",
        fentext: "发电机：",
        x: 0.5,
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "功率(kW)",
        range: [0, 26],
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        dtick: 1,
        tickangle: -45,
      },
      yaxis: {
        // "title": "CP 中位值",
        title: "风能利用系数",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      zonglegend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
      fenlegend: {
        x: 1.1, // 控制图例在X轴上的位置，1是最右边，1.05有间距
        y: 0.5, // 控制图例在Y轴上的位置，0.5表示垂直居中
        xanchor: "left", // 图例以左边为锚点，确保有右边间距
        yanchor: "middle", // 图例以中间为锚点，垂直居中
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    //改
    // <h1>风能利用系数和风速分析</h1>
    analysisTypeName: "风能利用系数和风速分析",
    // "title": "CP 分布图",
    analysisTypeCode: "cp_windspeed",
    modeType: "lines",
    graphType: "scatter",
    xLable: "风速",
    yLable: "风能利用系数",
    powerConfig: null,
    config: null,
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        text: "风能利用系数分布-",
        x: 0.5,
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "风速",
        range: [0, 26],
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 1,
        tickangle: -45,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "风能利用系数",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 0.05,
        tickcolor: "rgb(255,255,255)",
        range: [0.3, 0.5], // 根据你需要的值范围进行设置
      },
      zonglegend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
      fenlegend: {
        x: 1.1, // 控制图例在X轴上的位置，1是最右边，1.05有间距
        y: 0.5, // 控制图例在Y轴上的位置，0.5表示垂直居中
        xanchor: "left", // 图例以左边为锚点，确保有右边间距
        yanchor: "middle", // 图例以中间为锚点，垂直居中
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "叶尖速比-Cp-功率散点分析",
    analysisTypeCode: "tsr_cp_power_scatter",
    title: "",
    modeType: "markers",
    graphType: "scatter",
    xLable: "功率",
    yLable: "TSR/CP^(1/3)",
    zLable: "",
    com: "MarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
    ],
    "2DConfig": {
      mode: "markers",
      type: "scatter",
      marker: {
        size: 5,
        color: "#636EFA",
      },
    },
    "2DLayoutConfig": {
      title: "机组",
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        // "dtick": 100,
        title: "功率",
        tickangle: -45,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "叶尖速比/风能利用系数分析^(1/3)",
        // "dtick": 100,
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 1, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
      },
    },
  },
  {
    analysisTypeName: "风能利用系数时序分析",
    analysisTypeCode: "cp_trend",
    title: "",
    modeType: "box+markers",
    graphType: "box",
    xLable: "Time",
    yLable: "风能利用系数",
    zLable: "",
    com: "BoxMarkersCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "BoxMarkers",
      },
    ],
    dataConfig: [
      {
        type: "box",
        boxpoints: "outliers", // 显示离群值
        marker: {
          color: "lightgoldenrodyellow",
          size: 3,
        },
        line: {
          color: "lightgray",
          width: 2,
        },
        fillcolor: "rgba(200, 200, 200, 0.5)",
      },
      {
        type: "scatter",
        mode: "markers",
        marker: {
          color: "orange",
          size: 5,
        },
      },
    ],
    lableConfig: {
      title: {
        text: "机组：",
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "时间",
        tickmode: "auto",
        tickformat: "%Y-%m-%d",
        showgrid: true,
        gridcolor: "lightgray",
        tickangle: -45,
        linecolor: "black",
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
      },
      yaxis: {
        title: "风能利用系数",
        range: [0, 1],
        showgrid: true,
        gridcolor: "lightgray",
        linecolor: "black",
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
      },
      paper_bgcolor: "white",
      plot_bgcolor: "white",
      margin: {
        t: 50,
        b: 150,
      },
    },
  },
  {
    analysisTypeName: "叶尖速比和风速分析",
    analysisTypeCode: "tsr_windspeed",
    title: "",
    modeType: "lines",
    graphType: "scatter",
    xLable: "Wind Speed Floor",
    yLable: "叶尖速比",
    zLable: "",
    com: "lineAndChildLine",
    lableConfig: {
      title: {
        x: 0.5,
        text: "叶尖速比分布图",
      },
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        title: "风速最低阈值",
        tickmode: "linear",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        dtick: 1,
        tickangle: -45,
        tickcolor: "rgb(255,255,255)",
      },
      yaxis: {
        title: "叶尖风速比",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      legend: {
        orientation: "h",
        xanchor: "center",
        x: 0.5,
        y: -0.2,
      },
    },
    colors: [
      "#636EFA",
      "#EF553B",
      "#00CC96",
      "#AB63FA",
      "#FFA15A",
      "#19D3F3",
      "#FF6692",
      "#B6E880",
      "#FF97FF",
      "#FECB52",
      "#636EFB",
      "#EF553C",
      "#00CC97",
      "#AB63FB",
      "#FFA15B",
      "#19D3F4",
      "#FF6693",
      "#B6E881",
      "#FF97FE",
      "#FECB51",
      "#1F77B4",
      "#FF7F0E",
      "#2CA02C",
      "#D62728",
      "#9467BD",
      "#8C564B",
      "#E377C2",
      "#7F7F7F",
      "#BCBD22",
      "#17BECF",
      "#1A55F2",
      "#FF5733",
      "#33FF57",
      "#3375FF",
      "#FF33A6",
      "#FF5733",
      "#57FF33",
      "#FF3380",
      "#80FF33",
      "#3380FF",
      "#FF8033",
      "#57FF80",
      "#3380FF",
      "#8033FF",
      "#FF3380",
      "#FF57D7",
      "#FFD733",
      "#33FFD7",
      "#D733FF",
      "#8033FF",
      "#3380FF",
      "#FF3380",
      "#D7FF33",
      "#FF8033",
      "#33FF57",
      "#33D7FF",
      "#FF5733",
      "#33D7FF",
      "#33FF57",
      "#57D7FF",
    ],
  },
  {
    analysisTypeName: "秒级SCADA数据记录完整度分析",
    analysisTypeCode: "data_integrity_second",
    title: "数据完整度检测（%）",
    modeType: "heatmap",
    graphType: "heatmap",
    xLable: "机组",
    colorscale: "Viridis",
    yLable: "日期",
    zLable: "",
    com: "HeatmapCharts",
    chartsType: [
      {
        name: "总图",
        filesType: "heatmap",
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6", // 图表区域背景颜色
      xaxis: {
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        ticklen: 5,
        gridwidth: 4, // 网格线宽度
        tickcolor: "rgb(255,255,255)",
        tickangle: -45, // 设置x轴标签倾斜45度
      },
      yaxis: {
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        ticklen: 5,
        gridwidth: 4, // 网格线宽度
      },
      // 添加边框
      annotations: [], // 初始化注释数组
    },
  },
  {
    //分图
    analysisTypeName: "偏航控制策略异常检测",
    analysisTypeCode: "power_scatter_2D",
    modeType: "lines+markers",
    graphType: "scatter",
    xLable: "有功功率",
    yLable: "偏航误差角度",
    zLable: "",
    com: "powerMarkers2DCharts",
    chartsType: [
      {
        name: "分图",
        filesType: "2D",
      },
    ],
    dataConfig: [
      {
        mode: "markers",
        marker: {
          colorscale: "Rainbow",
          opacity: 0.7,
        },
        type: "scatter",
      },
      {
        mode: "lines+markers",
        marker: { color: "gray", size: 7 },
        name: "Contract Guarantee Power Curve",
        type: "scatter",
      },
    ],
    lableConfig: {
      plot_bgcolor: "#e5ecf6",
      xaxis: {
        title: "风速",
        tickmode: "array",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
        tickangle: -45,
      },
      yaxis: {
        title: "功率",
        tickmode: "array",
        gridcolor: "rgb(255,255,255)",
        showgrid: true,
        zeroline: false,
        tickcolor: "rgb(255,255,255)",
      },
      legend: {
        yanchor: "bottom",
        y: 0,
        xanchor: "right",
        x: 1,
        bgcolor: "rgba(0, 0, 0, 0)", // Transparent background color
      },
    },
  },
];
